using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace kvadrat
{
	class Program
	{
		static void Main(string[] args)
		{
			string[] brojevi = Console.ReadLine().Split();
			int x = int.Parse(brojevi[0]);
			int y = int.Parse(brojevi[1]);
			string[] brojevi1 = Console.ReadLine().Split();
			int x1 = int.Parse(brojevi1[0]);
			int y1 = int.Parse(brojevi1[1]);
			int i = 0;
			if (x == x1)
			{
				i = 2;
			}
			if (y == y1)
			{
				i = 2;
			}
			if (x == y && x1 == y1)
			{
				i = 1;
			}
			else i = 0;
			Console.WriteLine(i);
		}
	}
}